Skip to content
Start here

List Zero Trust lists

GET/accounts/{account_id}/gateway/lists

Fetch all Zero Trust lists for an account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Path ParametersExpand Collapse
account_id: string
Query ParametersExpand Collapse
type: optional "SERIAL" or "URL" or "DOMAIN" or 5 more

Specify the list type.

One of the following:
"SERIAL"
"URL"
"DOMAIN"
"EMAIL"
"IP"
"CATEGORY"
"LOCATION"
"DEVICE"
ReturnsExpand Collapse
errors: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional { pointer }
pointer: optional string
messages: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional { pointer }
pointer: optional string
success: true

Indicate whether the API call was successful.

result: optional array of GatewayList { id, count, created_at, 5 more }
id: optional string

Identify the API resource with a UUID.

maxLength36
count: optional number

Indicate the number of items in the list.

created_at: optional string
formatdate-time
description: optional string

Provide the list description.

items: optional array of GatewayItem { created_at, description, value }

Provide the list items.

created_at: optional string
formatdate-time
description: optional string

Provide the list item description (optional).

minimum0
value: optional string

Specify the item value.

name: optional string

Specify the list name.

type: optional "SERIAL" or "URL" or "DOMAIN" or 5 more

Specify the list type.

One of the following:
"SERIAL"
"URL"
"DOMAIN"
"EMAIL"
"IP"
"CATEGORY"
"LOCATION"
"DEVICE"
updated_at: optional string
formatdate-time
result_info: optional { count, page, per_page, total_count }
count: optional number

Indicate the total number of results for the requested service.

page: optional number

Indicate the current page within a paginated list of results.

per_page: optional number

Indicate the number of results per page.

total_count: optional number

Indicate the total results available without any search parameters.

List Zero Trust lists

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/gateway/lists \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
      "count": 20,
      "created_at": "2014-01-01T05:20:00.12345Z",
      "description": "The serial numbers for administrators",
      "items": [
        {
          "created_at": "2014-01-01T05:20:00.12345Z",
          "description": "Austin office IP",
          "value": "8GE8721REF"
        }
      ],
      "name": "Admin Serial Numbers",
      "type": "SERIAL",
      "updated_at": "2014-01-01T05:20:00.12345Z"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
      "count": 20,
      "created_at": "2014-01-01T05:20:00.12345Z",
      "description": "The serial numbers for administrators",
      "items": [
        {
          "created_at": "2014-01-01T05:20:00.12345Z",
          "description": "Austin office IP",
          "value": "8GE8721REF"
        }
      ],
      "name": "Admin Serial Numbers",
      "type": "SERIAL",
      "updated_at": "2014-01-01T05:20:00.12345Z"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}